---
title: Create metric collection
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Experiments
---

> For the complete documentation index, see [llms.txt](https://docs.datadoghq.com/llms.txt).

{% callout %}
# Important note for users on the following Datadog sites: app.ddog-gov.com, us2.ddog-gov.com

{% alert level="danger" %}
This product is not supported for your selected [Datadog site](https://docs.datadoghq.com/getting_started/site.md). ({% placeholder "user-datadog-site-name" /%}).
{% /alert %}

{% /callout %}

# Create metric collection{% #create-metric-collection %}

{% tab title="v2" %}

| Datadog site      | API endpoint                                                             |
| ----------------- | ------------------------------------------------------------------------ |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/experiments/metric-collections |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/experiments/metric-collections |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/experiments/metric-collections      |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/experiments/metric-collections      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/experiments/metric-collections  |
| uk1.datadoghq.com | POST https://api.uk1.datadoghq.com/api/v2/experiments/metric-collections |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/experiments/metric-collections     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/experiments/metric-collections |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/experiments/metric-collections |

### Overview

Create metric collection. This endpoint requires the `product_analytics_metrics_write` permission.

OAuth apps require the `product_analytics_metrics_write` authorization [scope](https://docs.datadoghq.com/api/latest/scopes.md#experiments) to access this endpoint.



### Request

#### Body Data (required)



{% tab title="Model" %}

| Parent field | Field                        | Type     | Description                                                                 |
| ------------ | ---------------------------- | -------- | --------------------------------------------------------------------------- |
|              | data [*required*]       | object   | Metric collection resource to create.                                       |
| data         | attributes [*required*] | object   | Name, description, and metric selection for the new collection.             |
| attributes   | description                  | string   | Description of the metric collection.                                       |
| attributes   | is_guardrail                 | boolean  | Whether the collection is designated as a guardrail collection.             |
| attributes   | metrics                      | [object] | Metrics to include in the collection.                                       |
| metrics      | metric_id [*required*]  | uuid     | Identifier of the metric to include in the collection.                      |
| attributes   | name [*required*]       | string   | Display name of the metric collection.                                      |
| data         | id                           | string   | Optional JSON:API resource identifier field.                                |
| data         | type [*required*]       | enum     | Metric collections resource type. Allowed enum values: `metric-collections` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "type": "metric-collections",
    "attributes": {
      "name": "ex-14bb9543f523edde"
    }
  }
}
```

{% /tab %}

### Response

{% tab title="201" %}
Created
{% tab title="Model" %}
Response containing the metric collection.

| Parent field | Field                  | Type      | Description                                                                 |
| ------------ | ---------------------- | --------- | --------------------------------------------------------------------------- |
|              | data [*required*] | object    | JSON:API resource containing the metric collection identity and fields.     |
| data         | attributes             | object    | Details of the metric collection.                                           |
| attributes   | created_at             | date-time | Time when this resource was created.                                        |
| attributes   | description            | string    | Text that explains the metric collection.                                   |
| attributes   | is_guardrail           | boolean   | Whether the collection is used for guardrail metrics.                       |
| attributes   | metric_count           | int64     | Number of metrics in this collection.                                       |
| attributes   | metrics                | [object]  | Metrics included in this collection.                                        |
| metrics      | metric_id              | string    | ID of the metric represented by this entry.                                 |
| metrics      | metric_name            | string    | Display name of the metric represented by this entry.                       |
| attributes   | name                   | string    | Display name of the metric collection.                                      |
| attributes   | updated_at             | date-time | Time when this resource was last updated.                                   |
| data         | id [*required*]   | uuid      | ID of the metric collection.                                                |
| data         | type [*required*] | enum      | Metric collections resource type. Allowed enum values: `metric-collections` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "created_at": "2026-08-01T12:00:00Z",
      "description": "Metrics reviewed for every checkout experiment.",
      "is_guardrail": false,
      "metrics": [
        {
          "metric_id": "550e8400-e29b-41d4-a716-446655440020",
          "metric_name": "Checkout conversion"
        }
      ],
      "name": "Checkout metrics",
      "updated_at": "2026-08-02T09:30:00Z"
    },
    "id": "550e8400-e29b-41d4-a716-446655440040",
    "type": "metric-collections"
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="401" %}
Unauthorized
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="409" %}
Conflict
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="415" %}
Request body sent with a media type other than application/json or application/vnd.api+json.
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                          \## default
# 
 \# Use a Personal Access Token or Service Access Token export DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"  \# Curl command curl -X POST "https://api.datadoghq.com/api/v2/experiments/metric-collections" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${DD_BEARER_TOKEN}" \
-d @- << EOF
{
  "data": {
    "attributes": {
      "name": "Activation"
    },
    "type": "metric-collections"
  }
}
EOF 
                        
{% /tab %}
